Bug 14907 - gftp: assertion fails at beginning of FTP upload
Summary: gftp: assertion fails at beginning of FTP upload
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gftp   
(Show other bugs)
Version: 7.0
Hardware: i386
OS: Linux
high
low
Target Milestone: ---
Assignee: Havoc Pennington
QA Contact:
URL:
Whiteboard: Winston gold
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-07-31 19:22 UTC by John Cagle
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-04 21:45:19 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description John Cagle 2000-07-31 19:22:08 UTC
When running gftp and connecting to localhost,
on every file upload, the following assertion failure error is output to the console:

** CRITICAL **: file rfc959.c: line 569 (rfc959_get_file_size): assertion `request->sockfd != NULL' failed.

However, the file uploads seem to work OK.

Comment 1 John Cagle 2000-08-01 22:07:34 UTC
This version (2.0.7pre3) works the best of recent versions.
Please do *not* upgrade to version 2.0.7 (final) -- it has numerous problems and is 
quite unstable.


Comment 2 Glen Foster 2000-08-04 15:05:51 UTC
This defect is considered MUST-FIX for Winston Gold-release

Comment 3 Havoc Pennington 2000-08-04 21:45:17 UTC
The upstream maintainer says this bug is fixed in the latest version, along with
a number of others, and that the first 2.0.7 had some serious bug that a lot
of people encountered but that is now fixed and it should be stable.

However I'm not sure if we can upgrade at this point in the release cycle, I'm 
finding out.


Note You need to log in before you can comment on or make changes to this bug.